Name:           ciso
Version:        1.0.0
Release:        3%{?dist}
Summary:        ISO to CSO converter

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://ciso.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        Makefile.fedora
Patch0:         ciso-1.0.0-chdorb.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  zlib-devel 

%description
A small tool to compress/decompress ISO to/from CSO (Compressed ISO for PSP)

%prep
%setup -q
# Fix file end-line encoding
sed -i 's/\r//' license ciso.h

# Patch for adding missing include string.h, stdint.h
# and use standard integer types to avoid accidental 8 byte value
# when 4 was intended (32bit vs 64bit long) (see Launchpad #163308) into ciso.h
# + fix format string compiler warnings in ciso.c
%patch0 -p1 -b .chdorb

%build
make %{?_smp_mflags} -f %{SOURCE1} CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
make DESTDIR=%{buildroot} install 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc license
%{_bindir}/%{name}

%changelog
* Mon Apr 19 2010 Pierre Dorbais <pierre.dorbais@free.fr> 1.0.0-3
- Add blank lines between changelog entries

* Tue Feb  9 2010 Pierre Dorbais <pierre.dorbais@free.fr> 1.0.0-2
- Source0 URL fixed
- format string compiler warnings fixed

* Sun Oct 18 2009 Pierre Dorbais <pierre.dorbais@free.fr> 1.0.0-1
- Initial RPM release

